org.apache.xalan.xsltc.trax

## Class Util

- java.lang.Object
- - org.apache.xalan.xsltc.trax.Util

    public final class Util
    extends java.lang.Object

Author:
  Santiago Pericas-Geertsen

### Constructor Summary

Constructors
Constructor and Description
`Util()`

### Method Summary

Methods
`static java.lang.String` `baseName(java.lang.String name)`
`static InputSource` `getInputSource(XSLTC xsltc, Source source)` Creates a SAX2 InputSource object from a TrAX Source object
`static java.lang.String` `noExtName(java.lang.String name)`
`static java.lang.String` `toJavaName(java.lang.String name)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Util

    public Util()

### Method Detail

#### baseName

    public static java.lang.String baseName(java.lang.String name)

#### noExtName

    public static java.lang.String noExtName(java.lang.String name)

#### toJavaName

    public static java.lang.String toJavaName(java.lang.String name)

#### getInputSource

    public static InputSource getInputSource(XSLTC xsltc,
                             Source source)
                                      throws TransformerConfigurationException

Creates a SAX2 InputSource object from a TrAX Source object

Throws:
  `TransformerConfigurationException`